Package htsjdk.variant.variantcontext

# Enum Class StructuralVariantType

java.lang.Object
java.lang.Enum<StructuralVariantType>
htsjdk.variant.variantcontext.StructuralVariantType

All Implemented Interfaces:
  `Serializable`, `Comparable<StructuralVariantType>`, `Constable`

public enum StructuralVariantType extends Enum<StructuralVariantType>
Type of Structural Variant as defined in the VCF spec 4.2

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BND`
breakend structural variation.
`CNV`
Copy number variable region
`DEL`
Deletion relative to the reference
`DUP`
Region of elevated copy number relative to the reference
`INS`
Insertion of novel sequence relative to the reference
`INV`
Inversion of reference sequence

## Method Summary

Modifier and Type
Method
Description
`static StructuralVariantType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StructuralVariantType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEL

public static final StructuralVariantType DEL
Deletion relative to the reference

### INS

public static final StructuralVariantType INS
Insertion of novel sequence relative to the reference

### DUP

public static final StructuralVariantType DUP
Region of elevated copy number relative to the reference

### INV

public static final StructuralVariantType INV
Inversion of reference sequence

### CNV

public static final StructuralVariantType CNV
Copy number variable region

### BND

public static final StructuralVariantType BND
breakend structural variation. VCF Specification : An arbitrary rearrangement event can be summarized as a set of novel adjacencies. Each adjacency ties together two breakends.

## Method Details

### values

public static StructuralVariantType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static StructuralVariantType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null